Package org.eclipse.microprofile.lra.tck.participant.api

# Class ResourceParent

java.lang.Object
org.eclipse.microprofile.lra.tck.participant.api.ResourceParent

Direct Known Subclasses:
  `AfterLRAListener`, `LraResource`, `LRATypeTckInterfaceResource`, `LRATypeTckResource`, `LRATypeTckSuperclass`, `LRAUnknownResource`, `NonParticipatingTckResource`

@ApplicationScoped public class ResourceParent extends Object

## Constructor Summary

Constructors
Constructor
Description
`ResourceParent()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`afterLRA(URI endedLRAId, LRAStatus status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceParent

public ResourceParent()

## Method Details

### afterLRA

@PUT @Path("/after") public jakarta.ws.rs.core.Response afterLRA(@HeaderParam("Long-Running-Action-Ended") URI endedLRAId, LRAStatus status)